@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!/usr/bin/perl
#line 15
# 315EHVb - cnv (CoNVert number bases) <NumberString> <FromBase> <ToBase> created by Pip Stuart <Pip@CPAN.Org> as part of the Math::BaseConvert package
#  If you only supply a number, it will convert to hex if it's decimal && decimal if it contains only valid hex digits.  If you just provide one
#    base parameter, it assumes that your number is already base10 && that you've supplied the ToBase.  Otherwise, you need from && to parameters.
#  Examples: `cnv 127   10 16` == "7F"
#            `cnv 7F    16 3`  == "11201"
#            `cnv 11201 3  7`  == "241"
#            `cnv 241   7  10` == "127"    # Eror checking is minimal.
use strict; use warnings; use Math::BaseConvert;
my $numb = shift; die("USAGE: `cnv <NumberString> <FromBase> <ToBase>`\n") if(!defined($numb) || $numb =~ /^-+[h\?]/i); print(cnv($numb, shift, shift));

__END__
:endofperl
